# com.github.insanusmokrassar.TelegramBotAPI.requests.webhook - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.webhook

## Package com.github.insanusmokrassar.TelegramBotAPI.requests.webhook

### Types

(common)

#### DeleteWebhook

`class DeleteWebhook : SimpleRequest<Boolean>`

(common)

#### GetWebhookInfo

`class GetWebhookInfo : SimpleRequest<WebhookInfo>`

(common)

#### SetWebhook

`data class SetWebhook : DataRequest<Boolean>`

### Functions

(common)

#### SetWebhook

`fun SetWebhook(url: String, certificate: InputFile, maxAllowedConnections: Int? = null, allowedUpdates: List<String>? = null): Request<Boolean>`
`fun SetWebhook(url: String, maxAllowedConnections: Int? = null, allowedUpdates: List<String>? = null): Request<Boolean>`